Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Interface StepDataInterface

All Known Implementing Classes:
  AbortData, AccessInputData, AccessOutputData, AddSequenceData, AddXMLData, AggregateRowsData, AnalyticQueryData, AppendData, BlockingStepData, CalculatorData, CheckSumData, CloneRowData, ClosureGeneratorData, ColumnExistsData, CombinationLookupData, ConstantData, CreditCardValidatorData, CsvInputData, CubeInputData, CubeOutputData, DatabaseJoinData, DatabaseLookupData, DBProcData, DelayData, DeleteData, DenormaliserData, DetectEmptyStreamData, DetectLastRowData, DimensionLookupData, DummyTransData, DynamicSQLRowData, ExcelInputData, ExcelOutputData, ExecProcessData, ExecSQLData, ExecSQLRowData, FieldSplitterData, FileExistsData, FilesFromResultData, FilesToResultData, FilterRowsData, FixedInputData, FlattenerData, FormulaData, GetFileNamesData, GetFilesRowsCountData, GetPreviousRowFieldData, GetSubFoldersData, GetVariableData, GetXMLDataData, GPBulkLoaderData, GroupByData, HTTPData, HTTPPOSTData, IfNullData, InfobrightLoaderData, InjectorData, InsertUpdateData, JaninoData, JoinRowsData, LDAPInputData, LDIFInputData, LucidDBBulkLoaderData, MailData, MailValidatorData, MappingData, MappingInputData, MappingOutputData, MergeJoinData, MergeRowsData, MondrianData, MonetDBBulkLoaderData, MySQLBulkLoaderData, NormaliserData, NullIfData, NumberRangeData, OraBulkLoaderData, ParGzipCsvInputData, PGBulkLoaderData, ProcessFilesData, PropertyInputData, PropertyOutputData, RandomValueData, RegexEvalData, ReplaceStringData, ReservoirSamplingData, RowGeneratorData, RowsFromResultData, RowsToResultData, RssInputData, RssOutputData, SalesforceInputData, SampleRowsData, ScriptValuesModData, SelectValuesData, SetValueConstantData, SetValueFieldData, SetVariableData, SocketReaderData, SocketWriterData, SortedMergeData, SortRowsData, SplitFieldToRowsData, SQLFileOutputData, StepMetastructureData, StreamLookupData, StringCutData, SwitchCaseData, SynchronizeAfterMergeData, SystemDataData, TableExistsData, TableInputData, TableOutputData, TextFileInputData, TextFileOutputData, UniqueRowsByHashSetData, UniqueRowsData, UnivariateStatsData, UpdateData, ValidatorData, ValueMapperData, WebServiceData, WriteToLogData, XBaseInputData, XMLInputData, XMLInputSaxData, XMLJoinData, XMLOutputData, XsdValidatorData, XsltData

    public interface StepDataInterface

This defines the basic interface for the data used by a thread. This will allow us to stop execution of threads and restart them later on without loosing track of the situation. Typically the StepDataInterface implementing class will contain resultsets, temporary data, caching indexes, etc.

Since:
  20-jan-2005
Author:
  Matt

Field Summary
`static int` | `STATUS_DISPOSED`
`static int` | `STATUS_EMPTY`
`static int` | `STATUS_FINISHED`
`static int` | `STATUS_HALTED`
`static int` | `STATUS_HALTING`
`static int` | `STATUS_IDLE`
`static int` | `STATUS_INIT`
`static int` | `STATUS_PAUSED`
`static int` | `STATUS_RUNNING`
`static int` | `STATUS_STOPPED`

Method Summary
`int` | `getStatus()`
`boolean` | `isDisposed()`
`boolean` | `isEmpty()`
`boolean` | `isFinished()`
`boolean` | `isIdle()`
`boolean` | `isInitialising()`
`boolean` | `isRunning()`
`void` | `setStatus(int status)`

Field Detail

### STATUS_EMPTY

    static final int STATUS_EMPTY

See Also:
  Constant Field Values

### STATUS_INIT

    static final int STATUS_INIT

See Also:
  Constant Field Values

### STATUS_RUNNING

    static final int STATUS_RUNNING

See Also:
  Constant Field Values

### STATUS_IDLE

    static final int STATUS_IDLE

See Also:
  Constant Field Values

### STATUS_FINISHED

    static final int STATUS_FINISHED

See Also:
  Constant Field Values

### STATUS_STOPPED

    static final int STATUS_STOPPED

See Also:
  Constant Field Values

### STATUS_DISPOSED

    static final int STATUS_DISPOSED

See Also:
  Constant Field Values

### STATUS_HALTED

    static final int STATUS_HALTED

See Also:
  Constant Field Values

### STATUS_PAUSED

    static final int STATUS_PAUSED

See Also:
  Constant Field Values

### STATUS_HALTING

    static final int STATUS_HALTING

See Also:
  Constant Field Values

Method Detail

### setStatus

    void setStatus(int status)

### getStatus

    int getStatus()

### isEmpty

    boolean isEmpty()

### isInitialising

    boolean isInitialising()

### isRunning

    boolean isRunning()

### isIdle

    boolean isIdle()

### isFinished

    boolean isFinished()

### isDisposed

    boolean isDisposed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD